Should have a depends on gir1.2-peas-1.0

Bug #874973 reported by Alexander Bunte on 2011-10-15
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
rhythmbox (Ubuntu)
High
Unassigned
Oneiric
High
Unassigned

Bug Description

After upgrading to oneiric loading plugins in Rhythmbox always failed. After installing the package gir1.2-peas-1.0 it worked again. It looks like this package should be a dependency of the package rhythmbox or rhythmbox-plugins, but it is not.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: rhythmbox 2.90.1~20110908-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
Uname: Linux 3.0.0-12-generic x86_64
ApportVersion: 1.23-0ubuntu3
Architecture: amd64
Date: Sat Oct 15 13:44:34 2011
ExecutablePath: /usr/bin/rhythmbox
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
ProcEnviron:
 PATH=(custom, user)
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
SourcePackage: rhythmbox
UpgradeStatus: Upgraded to oneiric on 2011-10-13 (1 days ago)

summary: - Rhythmbox plugins not loadable without package gir1.2-peas-1.0
+ Should have a depends on gir1.2-peas-1.0
Changed in rhythmbox (Ubuntu):
importance: Undecided → High
status: New → Confirmed
Changed in rhythmbox (Ubuntu Oneiric):
importance: Undecided → High
status: New → Confirmed
papukaija (papukaija) on 2011-11-05
tags: added: unmetdeps
Changed in rhythmbox (Ubuntu Oneiric):
status: Confirmed → Triaged
Changed in rhythmbox (Ubuntu):
status: Confirmed → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rhythmbox - 2.90.1~20111126.89c872b0-0ubuntu1

---------------
rhythmbox (2.90.1~20111126.89c872b0-0ubuntu1) precise; urgency=low

  * Upload the new version to Ubuntu, should solve those issues:
    - the lack of rhythmbox-client command (lp: #875064)
    - the music sharing preferences dialog (lp: #894153)
    - several segfaults (lp: #859195, #814614)
  * debian/control.in:
    - let the rhythmbox gir depends on gir1.2-peas-1.0 (lp: #874973)

  [ Rico Tzschichholz ]
  * New upstream git snapshot
 -- Sebastien Bacher <email address hidden> Mon, 05 Dec 2011 19:31:23 +0100

Changed in rhythmbox (Ubuntu):
status: Triaged → Fix Released
Changed in rhythmbox (Ubuntu Oneiric):
status: Triaged → Fix Committed

Hello Alexander, or anyone else affected,

Accepted rhythmbox into oneiric-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Onkar Shinde (onkarshinde) wrote :

Confirmed that this bug is fixed in the package available in oneiric-proposed. The package now pulls 'gir1.2-peas-1.0' as dependency. There is no error observed when launching rhythmbox from terminal.

Martin Pitt (pitti) on 2011-12-13
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rhythmbox - 2.90.1~20110908-0ubuntu1.1

---------------
rhythmbox (2.90.1~20110908-0ubuntu1.1) oneiric-proposed; urgency=low

  * debian/control.in:
    - let the rhythmbox gir depends on gir1.2-peas-1.0 (lp: #874973)
 -- Sebastien Bacher <email address hidden> Tue, 06 Dec 2011 18:10:21 +0100

Changed in rhythmbox (Ubuntu Oneiric):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers